Modify

Opened 9 years ago

Closed 4 years ago

#9090 closed defect (othersoftware)

Settings dialog blank until something refreshes it (KDE / no window decoration)

Reported by: int_ua Owned by: team
Priority: normal Milestone:
Component: Core Version: latest
Keywords: linux kde ubuntu window decoration javabug Cc:

Description

What steps will reproduce the problem?

  1. Edit > Settings

What is the expected result?
Settings window opens with all the content visible.

What happens instead?
Settings window opens with just the background. To see the content I have to:

  1. Move the settings window on any number of pixels.
  2. Click on the left side of it where tabs are usually.

Please provide any additional information below. Attach a screenshot if
possible.
I'm using KDE 4.11.1 on Ubuntu 13.04 and disabled window decorations. Currently there are some plugins installed, but the problem was present even before their installation.

Repository Root: http://josm.openstreetmap.de/svn
Build-Date: 2013-09-20 01:34:27
Last Changed Author: Don-vip
Revision: 6238
Repository UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
URL: http://josm.openstreetmap.de/svn/trunk
Last Changed Date: 2013-09-20 00:19:19 +0200 (Fri, 20 Sep 2013)
Last Changed Rev: 6238

Identification: JOSM/1.5 (6238 uk) Linux Ubuntu 13.04
Memory Usage: 981 MB / 981 MB (770 MB allocated, but free)
Java version: 1.7.0_25, Oracle Corporation, OpenJDK Server VM
Java package: openjdk-7-jre:i386-7u25-2.3.10-1ubuntu0.13.04.2
VM arguments: [-Djava.net.preferIPv4Stack=true, -Xms1024M, -Xmx1024M]

Plugin: RoadSigns (29854)
Plugin: SimplifyArea (29854)
Plugin: buildings_tools (29854)
Plugin: continuosDownload (28565)
Plugin: terracer (29854)
Plugin: turnrestrictions (29854)

Attachments (1)

josm_settings.png (26.1 KB) - added by int_ua 9 years ago.
the settings window is just above JOSM. Reminder: no window decorations.

Download all attachments as: .zip

Change History (7)

Changed 9 years ago by int_ua

Attachment: josm_settings.png added

the settings window is just above JOSM. Reminder: no window decorations.

comment:1 Changed 9 years ago by int_ua

It also affects Combine window and Exit dialog.

comment:2 Changed 9 years ago by Don-vip

Keywords: linux kde ubuntu window decoration added; template_report removed
Summary: Settings dialog blank until something refreshes itSettings dialog blank until something refreshes it (KDE / no window decoration)

comment:3 Changed 9 years ago by Don-vip

This is likely to be KDE-specific, can you please file a bug to http://bugs.kde.org and keep us informed ? Thanks.

comment:5 Changed 9 years ago by anonymous

From KDE bugtracker (workaround in the end):

Thomas Lübking 2013-10-06 22:32:32 UTC
Installed JOSM and set a no decoration rule.
-> Happens.
-> It's not related to compositing.
-> No titlebar is also the only way to trigger this - but it's the same when there's eg no WM at all.

--> Client bug for sure.
a) KWin is not responsible for uncomposited painting
b) if JOSM/Java/SWT waits for being reparented into a decoration to paint its content, that's a random restriction in the client which is either wanted or has to be fixed in the client.

The only way to prevent that is to pass the dialog a decoration, eg. by rule. Make one to "do not affect" the "no titlebar and frame" setting and ensure it's above the rule you use to skip decorations for all windows.

comment:6 Changed 4 years ago by Don-vip

Keywords: javabug added
Resolution: othersoftware
Status: newclosed

Modify Ticket

Change Properties
Set your email in Preferences
Action
as closed The owner will remain team.
as The resolution will be set.
The resolution will be deleted.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.